## oem-pci-sunix-dkms 2.0.4.2somerville3

=== oem-pci-sunix/Makefile ===
# Copyright 2006 - 2012  SUNIX Co., Ltd. all right reserved
KVER?= $(shell uname -r)
all: driver_make snxdump_make snxterm_make 

install: driver_install snxdump_install snxterm_install  

clean: driver_clean snxdump_clean snxterm_clean snxmknod_clean local_clean


driver_make:
	cd driver;\
	make

driver_install:
	cd driver;\
	make install

driver_clean:
	cd driver;\
	make clean
	

snxdump_make:
	cd snxdump;\
	make

snxdump_install:
	cd snxdump;\
	make install

snxdump_clean:
	cd snxdump;\
	make clean;



snxterm_make:
	cd snxterm;\
	make

snxterm_install:
	cd snxterm;\
	make install

snxterm_clean:
	cd snxterm;\
	make clean;


snxmknod_clean:
	cd snxmknod;\
	rm -f *~


local_clean:
	rm -f *~

=== oem-pci-sunix/driver/Makefile ===
# Copyright 2006 - 2012  SUNIX Co., Ltd. all right reserved
# for kernel 2.6
ifeq "$(findstring 2.6, $(KVER))" "2.6"
DRIVERNAME := snx
all:	modules 

install: modules
	mkdir -p /lib/modules/$(KVER)/kernel/drivers/char/
	cp -f ./$(DRIVERNAME).ko /lib/modules/$(KVER)/kernel/drivers/char/
	mkdir -p /lib/modules/$(KVER)/misc/
	cp -f ./$(DRIVERNAME).ko /lib/modules/$(KVER)/misc/
	depmod -a
	
	
ifneq ($(KERNELRELEASE),)

obj-m += $(DRIVERNAME).o
$(DRIVERNAME)-y := snx_main.o snx_devtable.o \
				   snx_serial.o \
				   snx_parallel.o snx_share.o snx_ieee1284.o snx_ieee1284_ops.o \
				   snx_ppdev.o \
				   snx_lp.o
else
KDIR	:= /lib/modules/$(KVER)/build
PWD	:= $(shell pwd)


modules:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean: clean_local


endif


clean_local:
	rm -f *~
	rm -f *.o
	rm -rf ./.tmp_versions
	rm -f *.mod*
	rm -f *.ko
	rm -f .snx*
	rm -f $(DRIVERNAME)
	rm -f Module*
	rm -f module*
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_golden.ko
	rm -f /lib/modules/$(KVER)/misc/snx_golden.ko
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_matrix.ko
	rm -f /lib/modules/$(KVER)/misc/snx_matrix.ko
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/$(DRIVERNAME).ko
	rm -f /lib/modules/$(KVER)/misc/$(DRIVERNAME).ko
endif	


# for kernel 4.0
ifeq "$(findstring 4., $(KVER))" "4."
DRIVERNAME := snx
all:	modules 

install: modules
	mkdir -p /lib/modules/$(KVER)/kernel/drivers/char/
	cp -f ./$(DRIVERNAME).ko /lib/modules/$(KVER)/kernel/drivers/char/
	mkdir -p /lib/modules/$(KVER)/misc/
	cp -f ./$(DRIVERNAME).ko /lib/modules/$(KVER)/misc/
	depmod -a
	
	
ifneq ($(KERNELRELEASE),)

obj-m += $(DRIVERNAME).o
$(DRIVERNAME)-y := snx_main.o snx_devtable.o \
				   snx_serial.o \
				   snx_parallel.o snx_share.o snx_ieee1284.o snx_ieee1284_ops.o \
				   snx_ppdev.o \
				   snx_lp.o
else
KDIR	:= /lib/modules/$(KVER)/build
PWD	:= $(shell pwd)


modules:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean: clean_local


endif


clean_local:
	rm -f *~
	rm -f *.o
	rm -rf ./.tmp_versions
	rm -f *.mod*
	rm -f *.ko
	rm -f .snx*
	rm -f $(DRIVERNAME)
	rm -f Module*
	rm -f module*
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_golden.ko
	rm -f /lib/modules/$(KVER)/misc/snx_golden.ko
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_matrix.ko
	rm -f /lib/modules/$(KVER)/misc/snx_matrix.ko
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/$(DRIVERNAME).ko
	rm -f /lib/modules/$(KVER)/misc/$(DRIVERNAME).ko
endif	

# for kernel 3.0
ifeq "$(findstring 3., $(KVER))" "3."
DRIVERNAME := snx
all:	modules 

install: modules
	mkdir -p /lib/modules/$(KVER)/kernel/drivers/char/
	cp -f ./$(DRIVERNAME).ko /lib/modules/$(KVER)/kernel/drivers/char/
	mkdir -p /lib/modules/$(KVER)/misc/
	cp -f ./$(DRIVERNAME).ko /lib/modules/$(KVER)/misc/
	depmod -a
	
	
ifneq ($(KERNELRELEASE),)

obj-m += $(DRIVERNAME).o
$(DRIVERNAME)-y := snx_main.o snx_devtable.o \
				   snx_serial.o \
				   snx_parallel.o snx_share.o snx_ieee1284.o snx_ieee1284_ops.o \
				   snx_ppdev.o \
				   snx_lp.o
else
KDIR	:= /lib/modules/$(KVER)/build
PWD	:= $(shell pwd)


modules:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean: clean_local


endif


clean_local:
	rm -f *~
	rm -f *.o
	rm -rf ./.tmp_versions
	rm -f *.mod*
	rm -f *.ko
	rm -f .snx*
	rm -f $(DRIVERNAME)
	rm -f Module*
	rm -f module*
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_golden.ko
	rm -f /lib/modules/$(KVER)/misc/snx_golden.ko
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_matrix.ko
	rm -f /lib/modules/$(KVER)/misc/snx_matrix.ko
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/$(DRIVERNAME).ko
	rm -f /lib/modules/$(KVER)/misc/$(DRIVERNAME).ko
endif	
	

#for kernel 2.4
ifeq "$(findstring 2.4, $(KVER))" "2.4"
DRIVERNAME :=snx
CC=gcc -c

ARCH=$(shell uname -m | sed s/i.86/i86/)


ifeq	($(ARCH),i86)
PARMS= -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O2 \
-fomit-frame-pointer -I/lib/modules/$(KVER)/build/include
else
PARMS= -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O2 \
-fomit-frame-pointer -pipe -I/lib/modules/$(KVER)/build/include -ffixed-8
endif


ifeq	($(MAKECMDGOALS), install)
PARMS+= -DMODVERSIONS
endif


ifeq	"$(findstring SMP, $(KVER))" "SMP"
PARMS+= -D__SMP__
endif


all:	snx.o

install: snx.o
	mkdir -p /lib/modules/$(KVER)/kernel/drivers/char/
	cp -f ./$(DRIVERNAME).o /lib/modules/$(KVER)/kernel/drivers/char/
	mkdir -p /lib/modules/$(KVER)/misc/
	cp -f ./$(DRIVERNAME).o /lib/modules/$(KVER)/misc/
	depmod -a

snx.o: snx_main.o snx_devtable.o snx_serial.o snx_parallel.o snx_share.o \
	   snx_ieee1284.o snx_ieee1284_ops.o snx_ppdev.o snx_lp.o

	ld -r -o $@ $^



snx_main.o:
	$(CC) $(PARMS) snx_main.c

snx_devtable.o:
	$(CC) $(PARMS) snx_devtable.c

snx_serial.o:
	$(CC) $(PARMS) snx_serial.c

snx_parallel.o:
	$(CC) $(PARMS) snx_parallel.c

snx_share.o:
	$(CC) $(PARMS) snx_share.c

snx_ieee1284.o:
	$(CC) $(PARMS) snx_ieee1284.c

snx_ieee1284_ops.o:
	$(CC) $(PARMS) snx_ieee1284_ops.c

snx_ppdev.o:
	$(CC) $(PARMS) snx_ppdev.c

snx_lp.o:
	$(CC) $(PARMS) snx_lp.c 



clean:
	rm -f *~
	rm -f *.o
	rm -rf ./.tmp_versions
	rm -f .snx_*
	rm -f $(DRIVERNAME).mod*
	rm -f $(DRIVERNAME).o
	rm -f $(DRIVERNAME)
	rm -f module*
	rm -f Module* 
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_golden.o
	rm -f /lib/modules/$(KVER)/misc/snx_golden.o
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/snx_matrix.o
	rm -f /lib/modules/$(KVER)/misc/snx_matrix.o		
	rm -f /lib/modules/$(KVER)/kernel/drivers/char/$(DRIVERNAME).o
	rm -f /lib/modules/$(KVER)/misc/$(DRIVERNAME).o
	
	
endif

=== oem-pci-sunix/snxdump/Makefile ===
# Copyright 2006 - 2010  SUNIX Co., Ltd. all right reserved
#CC=gcc -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -O2 -pipe -o
CC=gcc -O2 -pipe -o

all: snxdump

install: snxdump
	cp -p snxdump /usr/bin


snxdump: snxdump.c
	$(CC) snxdump snxdump.c	


clean:  
	rm -f snxdump
	rm -f *~ *.o

=== oem-pci-sunix/snxterm/Makefile ===
# Copyright 2006 - 2011  SUNIX Co., Ltd. all right reserved 
#CC=gcc -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -O2 -pthread -pipe -o
CC=gcc -O2 -pthread -pipe -o
 

all: snxterm

install: snxterm
	cp -p snxterm /usr/bin


snxterm: snxterm.c
	$(CC) snxterm snxterm.c -lncurses


clean:  
	rm -f snxterm
	rm -f *~ *.o

=== debian/changelog ===
oem-pci-sunix-dkms (2.0.4.2somerville3) xenial; urgency=medium

  * Use KVER instead of the uname. (LP:#1656768, LP:#1655818)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Tue, 24 Jan 2017 11:30:41 +0800

oem-pci-sunix-dkms (2.0.4.2somerville2) xenial; urgency=medium

  * Add multi-sunix cards supported workaround.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 03 Oct 2016 18:29:54 +0800

oem-pci-sunix-dkms (2.0.4.2somerville1) xenial; urgency=medium

  * Add a workaround for suspend/resume.

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 19 Sep 2016 13:00:32 +0800

oem-pci-sunix-dkms (2.0.4.2) xenial; urgency=low

  * New release for 4.4 kernel.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 25 Aug 2016 11:54:08 +0800

=== debian/control ===
Source: oem-pci-sunix-dkms
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases, libncurses5-dev (>= 5), libtinfo-dev (>= 5)
Standards-Version: 3.9.6

Package: oem-pci-sunix-dkms
Architecture: amd64
Depends: dkms (>= 1.95), libncurses5-dev (>= 5), libtinfo-dev (>= 5), ${misc:Depends}
Description: oem-pci-sunix driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-pci-sunix
NAME=oem-pci-sunix
VERSION=2.0.4.2somerville3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
